HTTP Requests
Use these components to construct HTTP requests to the Cloudmore API.
| HTTP Method | GET – Request data from the API POST – Submits data to the API PUT – Updates all properties in a resource PATCH – Update certain properties in a resource DELETE – Deletes data in a resource |
| Base API URL | https://api.cloudmore.com |
| Path Parameters | A Broker or a Seller unique identifier needs to be provided as a path parameter: {baseApiUrl}/api/resellers/{resellerId}/organizations/ Other ids are also provided as path parameters. |
| Query Parameters | Some API calls allow for query parameters to filter or limit the request data. For example: ?startDate=2023-01-01&endDate=2023-02-01 Each endpoint supports different query parameters. |
| Request Headers | Each API request needs to include the following headers: Authorization: The access token that was received from the Cloudmore Authentication API. Content-type: application/json Accept: application/json In curl, you specify headers with the -h command. |
| Request Body | The request body is the data to submit with the API request. Some API endpoints require you to include JSON data in the request body. In curl, you specify the data to submit with the -d command. |
Example Requests
Get all organizations under a broker:
curl -X GET https://api.cloudmore.com/api/resellers/{resellerId}/Organizations \
-H 'Authorization: Bearer {token}' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json'Create a new organization:
curl -X POST https://api.cloudmore.com/api/resellers/{resellerId}/Organizations \
-H 'Authorization: Bearer {token}' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{
"name": "My Test Organization",
"registrationNumber": "123456789",
"vat": "123456789",
"contact": {
"name": "John Doe",
"email": "john.doe@mytestorganization.com",
"phone": "123456789",
"cellPhone": "123456789"
},
"customerNumber": "123456789",
"notificationEmail": "john.doe@mytestorganization.com",
"address": {
"street": "street 1",
"postalCode": "12345",
"city": "stockholm",
"countryCode": "SE"
},
"primaryDomain": "mytestorganization.com"
}'